Skip to main content
POST
/
api
/
v2
/
wallet
/
passes
/
loyalty
Generate loyalty wallet pass
curl --request POST \
  --url https://api.zupy.com/api/v2/wallet/passes/loyalty/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "customer_id": "<string>",
  "platform": "apple"
}
'
{
  "data": {
    "id": "<string>",
    "pass_url": "<string>",
    "platform": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "cursor": "<string>",
    "has_next": true,
    "count": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for partner access via APISIX key-auth plugin

Body

Wallet pass generation request parameters.

customer_id
string
required
Maximum string length: 27
platform
enum<string>
required
  • apple - Apple
  • google - Google
Available options:
apple,
google

Response

data
object
required

Wallet pass generation result with pass URL and status.

meta
object
required

Cursor-based pagination metadata matching envelope middleware output.